libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.121. __nv_float2int_rd

Prototype:

    i32 @__nv_float2int_rd(float %in)

Description:

Convert the single-precision floating point value `x` to a signed integer in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes